Ubuntu 两级跳

有点特别的活儿,把兜哥的本子征用了,好歹是标压的 CPU。系统对上了之前的一份 Ubuntu,是 18.04 LTS 的,据说 19.10 都出来了,在明年的 20.04 LTS 出来前,想看看 19.10 什么样。反正之前已经对 Ubuntu 的大版本升级有过若干次实践,心理上也不憷。

sudo do-release-upgrade 是王道。可老是提示我需要先把能更新的包完全都更新掉才行,但是 apt update 和 apt upgrade 执行了好几回,分明已经没有可以升级的了。后来加了个什么 -a 的参数,才发现确实有个 megasync 好像是有两个候选版本,硬 apt install 又报有别的依赖没有安装。弄来弄去心烦,直接 apt remove 把它干掉了,将来再用的话再装吧。顺手还得要去 /etc/update-manager/release-upgrades 把 lts 改成 normal。

第一把检测出来的是 19.04,给了它一个晚上。今早继续第二把,就是 19.10 了。等不及下载安装完毕,得先上班去。晚上回来再做几个文件覆盖还是保留之类的选择,结束。完成的时候提示有些包不再有用,可以用 apt autoremove 清理掉,也照办。

照常进入系统,似乎没有任何变化,但是点击 Dash 的按钮发现了不对劲,在搜索栏内输入任何信息都不会有结果。网上有人提到了相同的问题,据说是系统不知为何把 unity-lens-* 的包移除掉了导致的。用 apt install 命令正常安装 unity-lens-applications、unity-lens-files、unity-lens-music、unity-lens-photos、unity-lens-video 即可。有几个应用(包括终端)的图标变了,别的真还一下子没有感觉,倒是感觉 sudo 命令的执行要等待输入密码的时间变长了。

发表评论

电子邮件地址不会被公开。 必填项已用*标注